Subject: bug#9480: 24.0.50; (vc-git) stash@{n} - requires shell quoting?

From: Antoine Levitt <[email-masked]>
Date: Mon, 12 Sep 2011 13:50:56 +0200

12/09/11 13:22, Jambunathan K
>> Yes, I see the problem, but now I wonder how come users of Posix
>> platforms didn't see it.  Does it happen if your shell-file-name is
>> set to "sh", not "bash" (assuming the Cygwin Bash comes with such an
>> executable or a link)?
>
> sh and bash are apparently one and the same executable.

Bash runs in sh compatibility mode when invoked with "sh". From man bash:

       If bash is invoked with the name sh, it tries to mimic the
       startup behavior of historical versions of sh as closely as
       possible, while conforming to the POSIX standard as well.